org.jboss.logging

## Annotation Type MessageBundle

- Deprecated.
  Use org.jboss.logging.annotations.MessageBundle provided in module org.jboss.logging:jboss-logging-annotations

      @Target(value=TYPE)
      @Retention(value=CLASS)
      @Documented
      @Deprecated
      public @interface MessageBundle

  Signify that an interface is a message bundle interface.
  Author:
    David M. Lloyd

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `projectCode` Deprecated. Get the project code for messages that have an associated code.

- - ### Element Detail

    - #### projectCode

          public abstract String projectCode

      Deprecated.
      Get the project code for messages that have an associated code. If no project code is associated with this bundle, specify `""` (the empty string).
      Returns:
        the project code

Copyright © 2015. All rights reserved.